# IRiActivityNode Interface Reference

Inherits IDispatch, and IDispatch.

List of all members.

## Public Member Functions
HRESULT | Run ([in] BSTR bszActivityName)
HRESULT | Stop ([in] BSTR bszActivityName)
HRESULT | KillAll ()
HRESULT | Run ([in] BSTR bszActivityName)
HRESULT | Stop ([in] BSTR bszActivityName)
HRESULT | KillAll ()
## Properties
VARIANT * | Create ([in] BSTR idName,[in] VARIANT vOwner)`[get]`
VARIANT * | Create ([in] BSTR idName,[in] VARIANT vOwner)`[get]`

## Detailed Description

The IRiActivityNode interface provides basic methods that enable an application to control Activities. It includes methods for creating, running and stopping activities. An Activity is represented in graph, as a sequence of connected commands (called activity nodes). See command reference documentation for a more detailed description of command objects.
Root-level name in the scripting engine's name space: Activity

## Member Function Documentation

HRESULT IRiActivityNode::Run | ( | [in] BSTR | bszActivityName | ) |

Run Activity processing from activity node specified in input parameter. Activity node must have at least one control flow connector. Activity finishes when it reaches end (there is no transition link to other activity node), or when it is stopped explicitly by Stop or KillAll command.

Parameters:

  | bszActivityName | – full name identification of the activity node in graph.

See also:
  Stop()

  KillAll()

Example:

     Activity.Run(Space.CurrentScene()+'/szNewSaveActivity')

HRESULT IRiActivityNode::Stop | ( | [in] BSTR | bszActivityName | ) |

Stop Activity. Interrupts activity execution started by run command.

Parameters:

  | bszActivityName | – identification of activity started by run command

See also:
  Run()

Example:

     Activity.Stop(Space.CurrentScene()+'/szNewSaveActivity')

HRESULT IRiActivityNode::KillAll | ( |  | ) |

Stop all activities running in system.

HRESULT IRiActivityNode::Run | ( | [in] BSTR | bszActivityName | ) |

Run Activity processing from activity node specified in input parameter. Activity node must have at least one control flow connector. Activity finishes when it reaches end (there is no transition link to other activity node), or when it is stopped explicitly by Stop or KillAll command.

Parameters:

  | bszActivityName | – full name identification of the activity node in graph.

See also:
  Stop()

  KillAll()

Example:

     Activity.Run(Space.CurrentScene()+'/szNewSaveActivity')

HRESULT IRiActivityNode::Stop | ( | [in] BSTR | bszActivityName | ) |

Stop Activity. Interrupts activity execution started by run command.

Parameters:

  | bszActivityName | – identification of activity started by run command

See also:
  Run()

Example:

     Activity.Stop(Space.CurrentScene()+'/szNewSaveActivity')

HRESULT IRiActivityNode::KillAll | ( |  | ) |

Stop all activities running in system.

## Property Documentation

VARIANT* IRiActivityNode::Create([in] BSTR idName, [in] VARIANT vOwner)`[get]`

Create activity node specified by class name or guid identification. Class name identification requires package name and class name of the activity node. See command reference documentation for list of available activity nodes. Default input and output control flow attributes are automatically added to activity node, if not defined explicitly by node.

Parameters:

  | idName | [in] Identification of the activity node. Can be either guid or class name.
  | vOwner | [in] Full name identification of owner object where newly created activity node will be added.

Returns:
  pVal [out, retval] Full name identification of created activity object in the graph.

Example:

     szNewSaveActivity = Activity.Create('FileIO Package/Save Object Command', Space.CurrentScene())
     Activity.Create('Space 3D Package/New Scene Command', '/Project')

VARIANT* IRiActivityNode::Create([in] BSTR idName, [in] VARIANT vOwner)`[get]`

Create activity node specified by class name or guid identification. Class name identification requires package name and class name of the activity node. See command reference documentation for list of available activity nodes. Default input and output control flow attributes are automatically added to activity node, if not defined explicitly by node.

Parameters:

  | idName | [in] Identification of the activity node. Can be either guid or class name.
  | vOwner | [in] Full name identification of owner object where newly created activity node will be added.

Returns:
  pVal [out, retval] Full name identification of created activity object in the graph.

Example:

     szNewSaveActivity = Activity.Create('FileIO Package/Save Object Command', Space.CurrentScene())
     Activity.Create('Space 3D Package/New Scene Command', '/Project')